part of slang_retail_assistant;

class AddToCartAppState extends RetailAppState implements SearchAppState {
  static final String name = "add_to_cart";

  static final Condition success = new Condition(RetailCondition.nameSuccess);
  static final Condition failure = new Condition(RetailCondition.nameFailure);
  static final Condition itemNotFound =
      new Condition(RetailCondition.nameItemNotFound);
  static final Condition itemOutOfStock =
      new Condition(RetailCondition.nameItemOutOfStock);
  static final Condition itemNotSpecified =
      new Condition(RetailCondition.nameItemNotSpecified);
  static final Condition itemSizeRequired =
      new Condition(RetailCondition.nameItemSizeRequired);
  static final Condition itemQuantityRequired =
      new Condition(RetailCondition.nameItemQuantityRequired);
  static final Condition itemAmbiguous =
      new Condition(RetailCondition.nameItemAmbiguous);
  static final Condition itemAmbiguousForceUI =
      new Condition(RetailCondition.nameItemAmbiguousForceUI);
  static final Condition pushPromotionPercentage =
      new Condition(RetailCondition.nameItemPushPromotionPercentage);
  static final Condition pushPromotionPrice =
      new Condition(RetailCondition.nameItemPushPromotionPrice);
  static final Condition pushPromotionQuantity =
      new Condition(RetailCondition.nameItemPushPromotionQuantity);
  static final Condition pushPromotionFreeItem =
      new Condition(RetailCondition.nameItemPushPromotionFreeItem);
  static final Condition pushPromotionAppText =
      new Condition(RetailCondition.nameItemPushPromotionAppText);

  AddToCartAppState(Condition condition) : super(name, condition);
}
