part of slang_retail_assistant;

abstract class RetailAppState implements BaseAppState {
  late final String mName;
  late final BaseCondition? mCondition;

  RetailAppState(String name, RetailCondition? condition) {
    mName = name;
    mCondition = condition;
  }

  String getName() {
    return mName;
  }

  BaseCondition? getCondition() {
    return mCondition;
  }

  bool isWaiting() {
    return false;
  }

  bool isUnsupported() {
    return false;
  }
}
