part of slang_retail_assistant;

class OrderCancelAppState extends RetailAppState
    implements OrderManagementAppState {
  static final String name = "cancel_order";

  static final Condition success = new Condition(RetailCondition.nameSuccess);
  static final Condition failure = new Condition(RetailCondition.nameFailure);
  static final Condition orderCancelConfirmationRequired =
      new Condition(RetailCondition.nameOrderCancelConfirmationRequired);
  static final Condition orderCancelUserConfirmed =
      new Condition(RetailCondition.nameOrderCancelUserConfirmed);
  static final Condition orderCancelUserDenied =
      new Condition(RetailCondition.nameOrderCancelUserDenied);
  static final Condition orderCancelSelect =
      new Condition(RetailCondition.nameOrderCancelSelect);
  static final Condition orderNotFound =
      new Condition(RetailCondition.nameOrderNotFound);
  static final Condition orderHistoryEmpty =
      new Condition(RetailCondition.nameOrderHistoryEmpty);
  static final Condition orderIndexRequired =
      new Condition(RetailCondition.nameOrderIndexRequired);

  OrderCancelAppState(Condition condition) : super(name, condition);
}
