part of slang_retail_assistant;

class OrderViewAppState extends RetailAppState
    implements OrderManagementAppState {
  static final String name = "view_order";

  static final Condition success = new Condition(RetailCondition.nameSuccess);
  static final Condition failure = new Condition(RetailCondition.nameFailure);
  static final Condition orderHistoryEmpty =
      new Condition(RetailCondition.nameOrderHistoryEmpty);
  static final Condition orderNotFound =
      new Condition(RetailCondition.nameOrderNotFound);
  static final Condition orderIndexRequired =
      new Condition(RetailCondition.nameOrderIndexRequired);

  OrderViewAppState(Condition condition) : super(name, condition);
}
